Bug 245707 - yum ignores conflicts with installed packages
yum ignores conflicts with installed packages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All Linux
medium Severity high
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 246622
  Show dependency treegraph
 
Reported: 2007-06-26 05:20 EDT by Florian Festi
Modified: 2014-01-21 17:58 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.2.2-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-15 15:48:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
corrects the check installed pkgs for conflicts-with ts members (1.43 KB, patch)
2007-06-26 11:36 EDT, Seth Vidal
no flags Details | Diff
fix for both problems described above (8.16 KB, patch)
2007-06-28 12:55 EDT, Florian Festi
no flags Details | Diff

  None (edit)
Description Florian Festi 2007-06-26 05:20:15 EDT
yum happily installs packages that are conflicting with each other as long as
they are not installed at once.

Version-Release number of selected component (if applicable):
yum-3.2.0-1.fc7

How reproducible:
always

Steps to Reproduce:
yum -y install leafnode
yum -y install suck

or

yum -y install suck
yum -y install leafnode

Actual results:
both packages get installed

Expected results:
Same as when running
yum install suck leafnode

--> Running transaction check
---> Package leafnode.i386 0:1.11.5-4.fc7 set to be updated
---> Package suck.i386 0:4.3.2-14.fc7 set to be updated
--> Processing Conflict: suck conflicts leafnode
--> Finished Dependency Resolution
Error: suck conflicts with leafnode
Comment 1 Seth Vidal 2007-06-26 09:29:01 EDT
I'm pretty sure this was fixed in 3.2.1 which is in updates-testing and rawhide.
please try it and reopen if it is not fixed
Comment 2 Florian Festi 2007-06-26 09:46:03 EDT
Tested CVS HEAD (Tue Jun 26 2007):

yum -y install leafnode
yum -y install suck

now correctly issues an error

yum -y install suck
yum -y install leafnode

still ignores the conflict.
Comment 3 Seth Vidal 2007-06-26 11:36:07 EDT
Created attachment 157909 [details]
corrects the check installed pkgs for conflicts-with ts members

Fixes the conflicts case though we should probably also make leafnode and suck
both have a mutual conflict to each other, not just one of them.
Comment 4 Florian Festi 2007-06-28 09:18:34 EDT
Patch seams to search for the packages name only. AFAIK conflicts match against
provides.

Ther also is another problem with the already existing conflict code that checks
the package's conflicts against the other new packages: This check is only done
once per package. But the conflicts need to be checked against every packages
that is added to the transaction. As their might (and normally will) be added
packages after a resolving loop the conflicts checked in that loop won't be
checked against these packages.

Scenario

Install: A, libA conflicts: libB, B requires: libB
resolveDeps: no conflicts, requires libB
add libB
resolveDeps: everything ok
Comment 5 Florian Festi 2007-06-28 12:55:57 EDT
Created attachment 158143 [details]
fix for both problems described above
Comment 6 Fedora Update System 2007-07-23 11:46:59 EDT
yum-3.2.2-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-08-15 15:47:57 EDT
yum-3.2.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2007-08-24 01:34:22 EDT
yum-3.2.3-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.